Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.manager.propertysets
Class PropertySetRepositoryImpl

    java.lang.Object
      com.bea.content.manager.propertysets.PropertySetRepositoryImpl

All Implemented Interfaces
  PropertySetRepository

Deprecated This internal implementation class is deprecated in favor of using the public PropertySetManager EJB, WebService or the ps tag library.

    @Deprecated
    public class PropertySetRepositoryImpl

extends Object
implements PropertySetRepository

This is PropertySetRepository implementation for the PropertySetManager which returns PropertySets for the ObjectClasses in a content repositories.

Field Summary
`static String` | `SEPERATOR` Deprecated The constant for the objectclass, repository separator
`static String` | `STANDARD_NAME` Deprecated
`static String` | `STANDARD_VERSIONED_NAME` Deprecated
`static PropertySet` | `stdPropertySet` Deprecated
`static PropertySet` | `stdVersionedPropertySet` Deprecated

Constructor Summary
`PropertySetRepositoryImpl()` Deprecated No argument Constructor.

Method Summary
`boolean` | `addPropertySet(String name, PropertySet ps)` Deprecated Add a PropertySet to this repository.
`void` | `clear()` Deprecated Clear this repository.
`PropertySet` | `convert(ObjectClass oc)` Deprecated Convert an ObjectClass into a PropertySet.
`ObjectClass[]` | `getObjectClasses()` Deprecated Connect to the repository manager and get the object classes.
`PropertySet` | `getPropertySet(String name)` Deprecated Get the named PropertySet.
`String` | `getPropertySetName(ObjectClass oc)` Deprecated Get the property set name for the object class.
`String[]` | `getPropertySetNames()` Deprecated Return an string array of property set names of all the property sets in the content management system.
`Map` | `getPropertySets()` Deprecated Get all the PropertySets available in the content management system.
`void` | `removePropertySet(String name)` Deprecated Remove a PropertySet from this repository.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEPERATOR

    public static final String SEPERATOR

  Deprecated
  The constant for the objectclass, repository separator

  See Also
    Constants Summary

### STANDARD_NAME

    public static final String STANDARD_NAME

  Deprecated
  See Also
    Constants Summary

### STANDARD_VERSIONED_NAME

    public static final String STANDARD_VERSIONED_NAME

  Deprecated
  See Also
    Constants Summary

### stdPropertySet

    public static final PropertySet stdPropertySet

  Deprecated

### stdVersionedPropertySet

    public static final PropertySet stdVersionedPropertySet

  Deprecated

Constructor Detail

### PropertySetRepositoryImpl

    public PropertySetRepositoryImpl()

  Deprecated
  No argument Constructor. In the future should take in user name and password for authentication. Currently it assumes that the username is in the Subject.

  This will connect to the current repositories using the repository manager.

Method Detail

### getObjectClasses

    public ObjectClass[] getObjectClasses()
                                   throws RepositoryException

  Deprecated
  Connect to the repository manager and get the object classes.

  If not repositories are configured, this will return an empty array.

  Returns
    The array of object classes.
  Throws
    `RepositoryException` - if this operation fails.

### getPropertySet

    public PropertySet getPropertySet(String name)

  Deprecated
  Get the named PropertySet. The name should be prefixed by the repository name in the following syntax : "myRepository/MyPropSet". If you pass in just the property set name, it will return a null.

  Specified by:
    `getPropertySet` in interface `PropertySetRepository`
  Parameters
    `name` - The name of the property set to retrieve. Returns a null if it cannot find the named property set.
  Returns
    the PropertySet object, or null if it is not found

### getPropertySets

    public Map getPropertySets()

  Deprecated
  Get all the PropertySets available in the content management system.

  Specified by:
    `getPropertySets` in interface `PropertySetRepository`
  Returns
    a Map of name/PropertySet pairs, or null if none exist

### getPropertySetNames

    public String[] getPropertySetNames()

  Deprecated
  Return an string array of property set names of all the property sets in the content management system. The property set names returned will be in the format : "repositoryName/propertySetName".

  Specified by:
    `getPropertySetNames` in interface `PropertySetRepository`
  Returns
    a String array of property set names, or null if none exist
  See Also
    `PropertySetRepository.getPropertySetNames()`

### addPropertySet

    public boolean addPropertySet(String name,
                                  PropertySet ps)
                           throws UnsupportedOperationException

  Deprecated
  Add a PropertySet to this repository.

  This operation is not supported.

  Specified by:
    `addPropertySet` in interface `PropertySetRepository`
  Parameters
    `name` - the name to associate with ths PropertySet
    `ps` - the PropertySet object itself
  Returns
    true if the PropertySet was modified, false if it was created
  Throws
    `UnsupportedOperationException` - always.

### removePropertySet

    public void removePropertySet(String name)
                           throws UnsupportedOperationException

  Deprecated
  Remove a PropertySet from this repository.

  This operation is not supported.

  Specified by:
    `removePropertySet` in interface `PropertySetRepository`
  Parameters
    `name` - the name of the PropertySet to remove
  Throws
    `UnsupportedOperationException` - always.

### clear

    public void clear()
               throws UnsupportedOperationException

  Deprecated
  Clear this repository.

  This operation is not supported.

  Specified by:
    `clear` in interface `PropertySetRepository`
  Throws
    `UnsupportedOperationException` - always.

### getPropertySetName

    public String getPropertySetName(ObjectClass oc)

  Deprecated
  Get the property set name for the object class.

  Object class property set names look like reponame/object-class-name.

  Parameters
    `oc` - The Object Class
  Returns
    The property set name for the given object class.

### convert

    public PropertySet convert(ObjectClass oc)
                        throws RepositoryException

  Deprecated
  Convert an ObjectClass into a PropertySet.

  Parameters
    `oc` - The Object Class
  Returns
    The PropertySet representing the object class.
  Throws
    `RepositoryException` - if this operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.